#ifndef main_h
#define main_h

#include <targets/LPC2103.h>
#include <targets/liblpc2000.h>
#include <ctl_api.h>
#include <cross_studio_io.h>
#include <string.h>
#include <stdio.h>
#include "main.h"
#include "adc.h"
#include "diskio.h"
#include "pff.h"
#include "NT3915.h"
#include "integer.h"
#include "lcd_bmp.h"
#include "spi.h"
#define Timer1 (T1IR & 0x01)

extern BYTE FILEs[8][20];
extern UINT FILEc;
extern UINT File_Count;
extern UINT Page_Count;
extern UINT Sel_File;
extern UINT Sel_Page;
extern UINT Files_In_Page;
extern UINT Listing;

int main(void);
void Delay_MS(int time);
void Delay_US(int time);
void InitTimer1(void);

int Port0(int pin);
void Dir0(int pin,int dir);
void Lat0(int pin,int val);
void LoadByte(int byte, int start);

FRESULT MountSD(void);
void ListPage(void);
BYTE GetButton(void);

extern  int colors[];

#define OUT 1
#define IN 0

#define HIGH 1
#define LOW 0

#endif
