#ifndef NT3915_h
#define NT3915_h

#define LCD_DATA  0
#define RES 0x1000000
#define RD  0x800000
#define WR 0x400000
#define RS  0x40000
#define CS  0x20000
 
#define  TYPE_LCD_DATA        1
#define  TYPE_LCD_COMMAND    0
#define  LCD_SIZE_X            128
#define  LCD_SIZE_Y         160

#define    WHITE     0xFFFF
#define    BLACK     0x0000
#define    RED         0xF000
#define    GREEN     0x0F00
#define    BLUE        0x00F0
#define    CYAN       0x0FF0
#define    YELLOW  0xFF00
#define    BROWN   0x8410
#define    ORANGE  0xF700
#define    PINK         0xF190
#define    MAGENTA    0xF0F0

UINT LCDDATA(UINT DATA);

void LCD_color(void);
void LCD_Write(int  type, int value);
void Reg_Write(int reg,int value);
void LCD_SetRamAddr(int xStart, int xEnd, int yStart, int yEnd) ;
void  LCD_init(void);
void  LCD_clear(int n);
void LCD_color_H(void);
void LCD_color_V(void);
void  LCD_Write_Data8(int value);
void LCD_Wirte_Data16(int value);
void LCD_ShowChar(unsigned char x,unsigned char y,unsigned int fcolor,unsigned int bcolor,unsigned char ch);
void LCD_ShowString(unsigned char x,unsigned char y,unsigned int fcolor,unsigned int bcolor,unsigned char *p);
void  LCD_Draw16(unsigned char x,unsigned char y,unsigned char width,unsigned char height,const unsigned int *dat);

void DrawFill(BYTE x,BYTE y,BYTE w,BYTE h,UINT pixel);
void DrawBox(BYTE x,BYTE y,BYTE w,BYTE h,UINT pixel);

#endif
